{ description = "Extremely basic flake";
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
    twin = {
      url = "git+https://forge.antimattercloud.nl/Egg/twin";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };
  outputs = { self, nixpkgs, flake-utils, twin }:
  flake-utils.lib.eachDefaultSystem (system:
  let pkgs = import nixpkgs { inherit system; };
  in {
    packages = {
      antimatter = pkgs.stdenvNoCC.mkDerivation rec {
        pname = "antigem";
        version = "0.2";
        src = ./antimattercloud;

        nativeBuildInputs = [
          twin.packages.${system}.default
        ];

        buildPhase = ''
          twin -d story-snippets -t Stories -nb '/' > stories.gmi
        '';

        installPhase = ''
          mkdir -p $out/share/${pname}
          cp -r . $out/share/${pname}
        '';
      };
    };
  });
}
